Bug 136753 - [htt_server] stop or crashes on hotmenu
[htt_server] stop or crashes on hotmenu
Status: CLOSED DUPLICATE of bug 137007
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF 137149
  Show dependency treegraph
 
Reported: 2004-10-22 01:49 EDT by Leon Ho
Modified: 2015-04-27 12:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.32-556.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 02:54:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leon Ho 2004-10-22 01:49:10 EDT
Description of problem:
If I do the following steps, hotmenu will hang in there for a while
and does not do anything


Version-Release number of selected component (if applicable):
12.1-1

How reproducible:
everytime

Steps to Reproduce:
1. gedit
1. ctrl-space, ctrl-space
2. ctrl-shift-space
3. switch to bn_IN unitLE
  
Actual results:
crashes

Expected results:


Additional info:

If I do gdb on htt_server. It will be more worse as it spits segfault:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -164123728 (LWP 22282)]
0x00b96d2a in fgets () from /lib/tls/libc.so.6
(gdb) bt
#0  0x00b96d2a in fgets () from /lib/tls/libc.so.6
#1  0x006b2721 in ?? ()
#2  0xf6377b40 in ?? ()
#3  0x000000ff in ?? ()
#4  0x00b60a90 in __gconv_transform_utf8_internal ()
   from /lib/tls/libc.so.6
#5  0x006b232f in ?? ()
#6  0x09b60a58 in ?? ()
#7  0xf6377c70 in ?? ()
#8  0x00b434b8 in __have_no_stat64 () from /lib/ld-linux.so.2
#9  0x00000000 in ?? ()


Last message in the debug:
if_le_SetSCValue(): SC_CLIENT_LOCALE: [bn_IN]
Bound imlexec:(a032458 -> 9fd0818)
if_le_DestroySC: udp [0xa041328]
SC_REALIZE, root_session:0xa032458
if_le_CreateSC() : Loading Engines ...
if_le_DestroySC: udp [0xa041328]
Comment 1 Akira TAGOH 2004-10-22 05:14:56 EDT
another bt without -debuginfo:
(gdb) bt
#0  0xb7fe97a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2
#1  0xb7de5564 in *__GI___poll (fds=0xb7e4cff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:86
#2  0x0809206c in IMTLSImpl::get_rsa_cb ()
#3  0x0806b44c in std::basic_string<char, std::char_traits<char>,
std::allocator<char> >::basic_string<char*> ()
#4  0x0806988d in std::basic_string<char, std::char_traits<char>,
std::allocator<char> >::basic_string<char*> ()
#5  0x0804d9ca in ?? ()
#6  0x0804d755 in ?? ()
#7  0xb7d3ee33 in __libc_start_main (
    main=0x804d6b0 <__gxx_personality_v0+348>, argc=2, ubp_av=0xbfe32a44,
    init=0x80982dc <IMTLSImpl::get_rsa_cb(ssl_st*, int, int)+38964>,
    fini=0xbfe329d0, rtld_fini=0xbfe32a44, stack_end=0xbfe32a3c)
    at ../sysdeps/generic/libc-start.c:209
#8  0x0804d621 in ?? ()
(gdb) thread apply all bt full

Thread 2 (Thread -1211688016 (LWP 5176)):
#0  0xb7fe97a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2
        _dl_rtld_libname = {name = 0x8048134 "/lib/ld-linux.so.2",
  next = 0xb7d29318, dont_free = 0}
        version_info = 0
        _dl_rtld_libname2 = {name = 0x0, next = 0x0, dont_free = 0}
        start_time = 483491797049592
        any_debug = 0
        relocate_time = 9918132
        library_path = 0x0
        preloadlist = 0x0
        load_time = 35054580
        _rtld_local_ro = {_dl_debug_mask = 0, _dl_pagesize = 4096,
  _dl_osversion = 132616, _dl_platform = 0xbfe32b3b "i686",
  _dl_platformlen = 4, _dl_initial_searchlist = {r_list = 0xb7d2955c,
    r_nlist = 22}, _dl_clktck = 100, _dl_verbose = 0, _dl_debug_fd = 2,
  _dl_lazy = 1, _dl_bind_not = 0, _dl_dynamic_weak = 0,
_dl_fpu_control = 895,
  _dl_correct_cache_id = 3, _dl_hwcap = 3219911679, _dl_hwcap_mask =
67108864,
  _dl_x86_cap_flags = {"fpu\000\000\000\000", "vme\000\000\000\000",
    "de\000\000\000\000\000", "pse\000\000\000\000",
"tsc\000\000\000\000",
    "msr\000\000\000\000", "pae\000\000\000\000", "mce\000\000\000\000",
    "cx8\000\000\000\000", "apic\000\000\000", "10\000\000\000\000\000",
---Type <return> to continue, or q <return> to quit---
    "sep\000\000\000\000", "mtrr\000\000\000", "pge\000\000\000\000",
    "mca\000\000\000\000", "cmov\000\000\000", "pat\000\000\000\000",
    "pse36\000\000", "pn\000\000\000\000\000", "clflush",
    "20\000\000\000\000\000", "dts\000\000\000\000", "acpi\000\000\000",
    "mmx\000\000\000\000", "fxsr\000\000\000", "sse\000\000\000\000",
    "sse2\000\000\000", "ss\000\000\000\000\000",
"ht\000\000\000\000\000",
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"},
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"},
  _dl_inhibit_rpath = 0x0, _dl_origin_path = 0x0,
  _dl_use_load_bias = 4294967295, _dl_profile = 0x0,
  _dl_profile_output = 0xb7ffb379 "/var/tmp", _dl_trace_prelink = 0x0,
  _dl_trace_prelink_map = 0x0, _dl_init_all_dirs = 0xb7fffb88,
  _dl_hp_timing_overhead = 84, _dl_sysinfo = 3086915488,
  _dl_sysinfo_dso = 0x0, _dl_get_origin = 0xb7ff7a20 <_dl_get_origin>,
  _dl_dst_count = 0xb7fed060 <_dl_dst_count>,
  _dl_dst_substitute = 0xb7fed340 <_dl_dst_substitute>,
  _dl_map_object = 0xb7fefd90 <_dl_map_object>,
  _dl_map_object_deps = 0xb7ff3c20 <_dl_map_object_deps>,
  _dl_relocate_object = 0xb7ff24e0 <_dl_relocate_object>,
  _dl_check_map_versions = 0xb7ff60c0 <_dl_check_map_versions>,
  _dl_init = 0xb7ff5020 <_dl_init>,
  _dl_debug_state = 0xb7ff5740 <*__GI__dl_debug_state>,
  _dl_unload_cache = 0xb7ff1180 <_dl_unload_cache>,
---Type <return> to continue, or q <return> to quit---
  _dl_debug_printf = 0xb7ff5c40 <_dl_debug_printf>,
  _dl_catch_error = 0xb7ff4ee0 <_dl_catch_error>,
  _dl_signal_error = 0xb7ff4c60 <_dl_signal_error>,
  _dl_start_profile = 0xb7ff6500 <_dl_start_profile>,
  _dl_mcount = 0xb7ff6cf0 <_dl_mcount>,
  _dl_lookup_symbol_x = 0xb7ff1530 <_dl_lookup_symbol_x>,
  _dl_check_caller = 0xb7ff7cd0 <_dl_check_caller>}
        _dl_skip_args = 0
        _rtld_global_ro = {_dl_debug_mask = 0, _dl_pagesize = 4096,
  _dl_osversion = 132616, _dl_platform = 0xbfe32b3b "i686",
  _dl_platformlen = 4, _dl_initial_searchlist = {r_list = 0xb7d2955c,
    r_nlist = 22}, _dl_clktck = 100, _dl_verbose = 0, _dl_debug_fd = 2,
  _dl_lazy = 1, _dl_bind_not = 0, _dl_dynamic_weak = 0,
_dl_fpu_control = 895,
  _dl_correct_cache_id = 3, _dl_hwcap = 3219911679, _dl_hwcap_mask =
67108864,
  _dl_x86_cap_flags = {"fpu\000\000\000\000", "vme\000\000\000\000",
    "de\000\000\000\000\000", "pse\000\000\000\000",
"tsc\000\000\000\000",
    "msr\000\000\000\000", "pae\000\000\000\000", "mce\000\000\000\000",
    "cx8\000\000\000\000", "apic\000\000\000", "10\000\000\000\000\000",
    "sep\000\000\000\000", "mtrr\000\000\000", "pge\000\000\000\000",
    "mca\000\000\000\000", "cmov\000\000\000", "pat\000\000\000\000",
    "pse36\000\000", "pn\000\000\000\000\000", "clflush",
    "20\000\000\000\000\000", "dts\000\000\000\000", "acpi\000\000\000",
    "mmx\000\000\000\000", "fxsr\000\000\000", "sse\000\000\000\000",
---Type <return> to continue, or q <return> to quit---
    "sse2\000\000\000", "ss\000\000\000\000\000",
"ht\000\000\000\000\000",
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"},
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"},
  _dl_inhibit_rpath = 0x0, _dl_origin_path = 0x0,
  _dl_use_load_bias = 4294967295, _dl_profile = 0x0,
  _dl_profile_output = 0xb7ffb379 "/var/tmp", _dl_trace_prelink = 0x0,
  _dl_trace_prelink_map = 0x0, _dl_init_all_dirs = 0xb7fffb88,
  _dl_hp_timing_overhead = 84, _dl_sysinfo = 3086915488,
  _dl_sysinfo_dso = 0x0, _dl_get_origin = 0xb7ff7a20 <_dl_get_origin>,
  _dl_dst_count = 0xb7fed060 <_dl_dst_count>,
  _dl_dst_substitute = 0xb7fed340 <_dl_dst_substitute>,
  _dl_map_object = 0xb7fefd90 <_dl_map_object>,
  _dl_map_object_deps = 0xb7ff3c20 <_dl_map_object_deps>,
  _dl_relocate_object = 0xb7ff24e0 <_dl_relocate_object>,
  _dl_check_map_versions = 0xb7ff60c0 <_dl_check_map_versions>,
  _dl_init = 0xb7ff5020 <_dl_init>,
  _dl_debug_state = 0xb7ff5740 <*__GI__dl_debug_state>,
  _dl_unload_cache = 0xb7ff1180 <_dl_unload_cache>,
  _dl_debug_printf = 0xb7ff5c40 <_dl_debug_printf>,
  _dl_catch_error = 0xb7ff4ee0 <_dl_catch_error>,
  _dl_signal_error = 0xb7ff4c60 <_dl_signal_error>,
  _dl_start_profile = 0xb7ff6500 <_dl_start_profile>,
  _dl_mcount = 0xb7ff6cf0 <_dl_mcount>,
---Type <return> to continue, or q <return> to quit---
  _dl_lookup_symbol_x = 0xb7ff1530 <_dl_lookup_symbol_x>,
  _dl_check_caller = 0xb7ff7cd0 <_dl_check_caller>}
        _dl_argv = (char **) 0xbfe32a44
        _rtld_local = {_dl_ns = {{_ns_loaded = 0xb7fff4f8, _ns_nloaded
= 40,
      _ns_global_scope = {0xb7fff650, 0x0}, _ns_main_searchlist =
0xb7fff650,
      _ns_global_scope_alloc = 0}, {_ns_loaded = 0x0, _ns_nloaded = 0,
      _ns_global_scope = {0x0, 0x0}, _ns_main_searchlist = 0x0,
      _ns_global_scope_alloc = 0} <repeats 15 times>}, _dl_load_lock = {
    mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0,
__m_kind = 1,
      __m_lock = {__status = 0, __spinlock = 0}}}, _dl_load_adds = 40,
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 483491797068896,
  _dl_profile_map = 0x0, _dl_num_relocations = 2843,
  _dl_num_cache_relocations = 1437, _dl_all_dirs = 0x9d93ae8,
  _dl_error_catch_tsd = 0xb7e24c20 <__libc_dl_error_tsd>, _dl_rtld_map = {
    l_addr = 3086913536, l_name = 0x8048134 "/lib/ld-linux.so.2",
    l_ld = 0xb7ffeef4, l_next = 0x9d8e640, l_prev = 0xb7d29018,
    l_real = 0xb7fff1c0, l_ns = 0, l_libname = 0xb7fff444, l_info =
{0x0, 0x0,
      0xb7ffef2c, 0xb7ffef24, 0xb7ffeefc, 0xb7ffef04, 0xb7ffef0c, 0x0,
0x0,
      0x0, 0xb7ffef14, 0xb7ffef1c, 0x0, 0x0, 0xb7ffeef4, 0x0, 0x0,
0xb7ffef44,
      0xb7ffef4c, 0xb7ffef54, 0xb7ffef34, 0x0, 0x0, 0xb7ffef3c,
0xb7ffef6c,
      0x0 <repeats 11 times>, 0xb7ffef64, 0xb7ffef5c, 0xb7ffef74,
0xb7ffef84,
      0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xb7ffef7c,
      0x0 <repeats 25 times>}, l_phdr = 0xb7fe9034, l_entry = 0,
l_phnum = 6,
---Type <return> to continue, or q <return> to quit---
    l_ldnum = 0, l_searchlist = {r_list = 0x0, r_nlist = 0},
    l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, l_loader = 0x0,
    l_nbuckets = 17, l_buckets = 0xb7fe90fc, l_chain = 0xb7fe9140,
    l_opencount = 18, l_direct_opencount = 0, l_type = lt_library,
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0,
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0,
    l_need_tls_init = 0, l_used = 1, l_nversions = 6, l_versions =
0xb7d142e0,
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0,
    l_versyms = 0xb7fe9582, l_origin = 0x0, l_map_start = 3086913536,
    l_map_end = 3087004916, l_text_end = 3086987343, l_scope_mem =
{0x0, 0x0,
      0x0, 0x0}, l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0,
0x0},
    l_dev = 0, l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0},
    l_initfini = 0x0, l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0,
    l_feature_1 = 0, l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach =
{plt = 0,
      gotplt = 0}, l_lookup_cache = {sym = 0xb7fe93ec, type_class = 1,
      value = 0xb7e51000, ret = 0xb7d358d8}, l_tls_initimage = 0x0,
    l_tls_initimage_size = 0, l_tls_blocksize = 0, l_tls_align = 0,
    l_tls_firstbyte_offset = 0, l_tls_offset = 0, l_tls_modid = 0,
    l_relro_addr = 89216, l_relro_size = 896},
  _dl_rtld_lock_recursive = 0xb7f50ca0 <__pthread_mutex_lock>,
  _dl_rtld_unlock_recursive = 0xb7f51080 <__pthread_mutex_unlock>,
  _dl_stack_flags = 6,
  _dl_make_stack_executable_hook = 0xb7f4e9a0 <__make_stacks_executable>,
---Type <return> to continue, or q <return> to quit---
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false,
  _dl_tls_dtv_slotinfo_list = 0xb7d14340, _dl_tls_static_nelem = 1,
  _dl_tls_static_size = 2832, _dl_tls_static_used = 40,
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xb7d13b14,
  _dl_tls_generation = 0,
  _dl_init_static_tls = 0xb7f4ee20 <__pthread_init_static_tls>}
        _rtld_global = {_dl_ns = {{_ns_loaded = 0xb7fff4f8,
_ns_nloaded = 40,
      _ns_global_scope = {0xb7fff650, 0x0}, _ns_main_searchlist =
0xb7fff650,
      _ns_global_scope_alloc = 0}, {_ns_loaded = 0x0, _ns_nloaded = 0,
      _ns_global_scope = {0x0, 0x0}, _ns_main_searchlist = 0x0,
      _ns_global_scope_alloc = 0} <repeats 15 times>}, _dl_load_lock = {
    mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0,
__m_kind = 1,
      __m_lock = {__status = 0, __spinlock = 0}}}, _dl_load_adds = 40,
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 483491797068896,
  _dl_profile_map = 0x0, _dl_num_relocations = 2843,
  _dl_num_cache_relocations = 1437, _dl_all_dirs = 0x9d93ae8,
  _dl_error_catch_tsd = 0xb7e24c20 <__libc_dl_error_tsd>, _dl_rtld_map = {
    l_addr = 3086913536, l_name = 0x8048134 "/lib/ld-linux.so.2",
    l_ld = 0xb7ffeef4, l_next = 0x9d8e640, l_prev = 0xb7d29018,
    l_real = 0xb7fff1c0, l_ns = 0, l_libname = 0xb7fff444, l_info =
{0x0, 0x0,
      0xb7ffef2c, 0xb7ffef24, 0xb7ffeefc, 0xb7ffef04, 0xb7ffef0c, 0x0,
0x0,
      0x0, 0xb7ffef14, 0xb7ffef1c, 0x0, 0x0, 0xb7ffeef4, 0x0, 0x0,
0xb7ffef44,
      0xb7ffef4c, 0xb7ffef54, 0xb7ffef34, 0x0, 0x0, 0xb7ffef3c,
0xb7ffef6c,
---Type <return> to continue, or q <return> to quit---
      0x0 <repeats 11 times>, 0xb7ffef64, 0xb7ffef5c, 0xb7ffef74,
0xb7ffef84,
      0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xb7ffef7c,
      0x0 <repeats 25 times>}, l_phdr = 0xb7fe9034, l_entry = 0,
l_phnum = 6,
    l_ldnum = 0, l_searchlist = {r_list = 0x0, r_nlist = 0},
    l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, l_loader = 0x0,
    l_nbuckets = 17, l_buckets = 0xb7fe90fc, l_chain = 0xb7fe9140,
    l_opencount = 18, l_direct_opencount = 0, l_type = lt_library,
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0,
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0,
    l_need_tls_init = 0, l_used = 1, l_nversions = 6, l_versions =
0xb7d142e0,
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0,
    l_versyms = 0xb7fe9582, l_origin = 0x0, l_map_start = 3086913536,
    l_map_end = 3087004916, l_text_end = 3086987343, l_scope_mem =
{0x0, 0x0,
      0x0, 0x0}, l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0,
0x0},
    l_dev = 0, l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0},
    l_initfini = 0x0, l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0,
    l_feature_1 = 0, l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach =
{plt = 0,
      gotplt = 0}, l_lookup_cache = {sym = 0xb7fe93ec, type_class = 1,
      value = 0xb7e51000, ret = 0xb7d358d8}, l_tls_initimage = 0x0,
    l_tls_initimage_size = 0, l_tls_blocksize = 0, l_tls_align = 0,
    l_tls_firstbyte_offset = 0, l_tls_offset = 0, l_tls_modid = 0,
    l_relro_addr = 89216, l_relro_size = 896},
  _dl_rtld_lock_recursive = 0xb7f50ca0 <__pthread_mutex_lock>,
---Type <return> to continue, or q <return> to quit---
  _dl_rtld_unlock_recursive = 0xb7f51080 <__pthread_mutex_unlock>,
  _dl_stack_flags = 6,
  _dl_make_stack_executable_hook = 0xb7f4e9a0 <__make_stacks_executable>,
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false,
  _dl_tls_dtv_slotinfo_list = 0xb7d14340, _dl_tls_static_nelem = 1,
  _dl_tls_static_size = 2832, _dl_tls_static_used = 40,
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xb7d13b14,
  _dl_tls_generation = 0,
  _dl_init_static_tls = 0xb7f4ee20 <__pthread_init_static_tls>}
        _dl_argc = 2
        _dl_argv_internal = (char **) 0xbfe32a44
#1  0xb7f553fb in ?? () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x08055c99 in std::operator+<char, std::char_traits<char>,
std::allocator<char> > ()
No symbol table info available.
#3  0x08055dff in std::operator+<char, std::char_traits<char>,
std::allocator<char> > ()
No symbol table info available.
#4  0x080552f0 in std::operator+<char, std::char_traits<char>,
std::allocator<char> > ()
No symbol table info available.
#5  <signal handler called>
---Type <return> to continue, or q <return> to quit---
        _nl_msg_cat_cntr = 0
#6  _IO_fgets (buf=0xb7c6e520 "\n", n=255, fp=0xdfab10) at iofgets.c:44
        count = 255
        result = 0xff <Address 0xff out of bounds>
        old_error = -1211702239
#7  0xb71fa68d in LoadTableHeader ()
   from /usr/lib/im/locale/UNIT/common/codepoint_im.so
No symbol table info available.
#8  0xb71fa2c5 in codepoint_Init ()
   from /usr/lib/im/locale/UNIT/common/codepoint_im.so
No symbol table info available.
#9  0xb7c7d0c5 in open_engine () from /usr/lib/im/leif//unitle.so
No symbol table info available.
#10 0xb7c6fe11 in ?? ()
No symbol table info available.
#11 0x00000005 in ?? ()
No symbol table info available.
#12 0xb7c81e21 in ?? () from /usr/lib/im/leif//unitle.so
No symbol table info available.
#13 0xb7c81e00 in ?? () from /usr/lib/im/leif//unitle.so
No symbol table info available.
#14 0xb7c6fdfa in ?? ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#15 0x00000000 in ?? ()
No symbol table info available.

Thread 1 (Thread -1211025728 (LWP 4988)):
#0  0xb7fe97a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2
        _dl_rtld_libname = {name = 0x8048134 "/lib/ld-linux.so.2",
  next = 0xb7d29318, dont_free = 0}
        version_info = 0
        _dl_rtld_libname2 = {name = 0x0, next = 0x0, dont_free = 0}
        start_time = 483491797049592
        any_debug = 0
        relocate_time = 9918132
        library_path = 0x0
        preloadlist = 0x0
        load_time = 35054580
        _rtld_local_ro = {_dl_debug_mask = 0, _dl_pagesize = 4096,
  _dl_osversion = 132616, _dl_platform = 0xbfe32b3b "i686",
  _dl_platformlen = 4, _dl_initial_searchlist = {r_list = 0xb7d2955c,
    r_nlist = 22}, _dl_clktck = 100, _dl_verbose = 0, _dl_debug_fd = 2,
  _dl_lazy = 1, _dl_bind_not = 0, _dl_dynamic_weak = 0,
_dl_fpu_control = 895,
  _dl_correct_cache_id = 3, _dl_hwcap = 3219911679, _dl_hwcap_mask =
67108864,
  _dl_x86_cap_flags = {"fpu\000\000\000\000", "vme\000\000\000\000",
    "de\000\000\000\000\000", "pse\000\000\000\000",
"tsc\000\000\000\000",
---Type <return> to continue, or q <return> to quit---
    "msr\000\000\000\000", "pae\000\000\000\000", "mce\000\000\000\000",
    "cx8\000\000\000\000", "apic\000\000\000", "10\000\000\000\000\000",
    "sep\000\000\000\000", "mtrr\000\000\000", "pge\000\000\000\000",
    "mca\000\000\000\000", "cmov\000\000\000", "pat\000\000\000\000",
    "pse36\000\000", "pn\000\000\000\000\000", "clflush",
    "20\000\000\000\000\000", "dts\000\000\000\000", "acpi\000\000\000",
    "mmx\000\000\000\000", "fxsr\000\000\000", "sse\000\000\000\000",
    "sse2\000\000\000", "ss\000\000\000\000\000",
"ht\000\000\000\000\000",
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"},
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"},
  _dl_inhibit_rpath = 0x0, _dl_origin_path = 0x0,
  _dl_use_load_bias = 4294967295, _dl_profile = 0x0,
  _dl_profile_output = 0xb7ffb379 "/var/tmp", _dl_trace_prelink = 0x0,
  _dl_trace_prelink_map = 0x0, _dl_init_all_dirs = 0xb7fffb88,
  _dl_hp_timing_overhead = 84, _dl_sysinfo = 3086915488,
  _dl_sysinfo_dso = 0x0, _dl_get_origin = 0xb7ff7a20 <_dl_get_origin>,
  _dl_dst_count = 0xb7fed060 <_dl_dst_count>,
  _dl_dst_substitute = 0xb7fed340 <_dl_dst_substitute>,
  _dl_map_object = 0xb7fefd90 <_dl_map_object>,
  _dl_map_object_deps = 0xb7ff3c20 <_dl_map_object_deps>,
  _dl_relocate_object = 0xb7ff24e0 <_dl_relocate_object>,
  _dl_check_map_versions = 0xb7ff60c0 <_dl_check_map_versions>,
  _dl_init = 0xb7ff5020 <_dl_init>,
---Type <return> to continue, or q <return> to quit---
  _dl_debug_state = 0xb7ff5740 <*__GI__dl_debug_state>,
  _dl_unload_cache = 0xb7ff1180 <_dl_unload_cache>,
  _dl_debug_printf = 0xb7ff5c40 <_dl_debug_printf>,
  _dl_catch_error = 0xb7ff4ee0 <_dl_catch_error>,
  _dl_signal_error = 0xb7ff4c60 <_dl_signal_error>,
  _dl_start_profile = 0xb7ff6500 <_dl_start_profile>,
  _dl_mcount = 0xb7ff6cf0 <_dl_mcount>,
  _dl_lookup_symbol_x = 0xb7ff1530 <_dl_lookup_symbol_x>,
  _dl_check_caller = 0xb7ff7cd0 <_dl_check_caller>}
        _dl_skip_args = 0
        _rtld_global_ro = {_dl_debug_mask = 0, _dl_pagesize = 4096,
  _dl_osversion = 132616, _dl_platform = 0xbfe32b3b "i686",
  _dl_platformlen = 4, _dl_initial_searchlist = {r_list = 0xb7d2955c,
    r_nlist = 22}, _dl_clktck = 100, _dl_verbose = 0, _dl_debug_fd = 2,
  _dl_lazy = 1, _dl_bind_not = 0, _dl_dynamic_weak = 0,
_dl_fpu_control = 895,
  _dl_correct_cache_id = 3, _dl_hwcap = 3219911679, _dl_hwcap_mask =
67108864,
  _dl_x86_cap_flags = {"fpu\000\000\000\000", "vme\000\000\000\000",
    "de\000\000\000\000\000", "pse\000\000\000\000",
"tsc\000\000\000\000",
    "msr\000\000\000\000", "pae\000\000\000\000", "mce\000\000\000\000",
    "cx8\000\000\000\000", "apic\000\000\000", "10\000\000\000\000\000",
    "sep\000\000\000\000", "mtrr\000\000\000", "pge\000\000\000\000",
    "mca\000\000\000\000", "cmov\000\000\000", "pat\000\000\000\000",
    "pse36\000\000", "pn\000\000\000\000\000", "clflush",
---Type <return> to continue, or q <return> to quit---
    "20\000\000\000\000\000", "dts\000\000\000\000", "acpi\000\000\000",
    "mmx\000\000\000\000", "fxsr\000\000\000", "sse\000\000\000\000",
    "sse2\000\000\000", "ss\000\000\000\000\000",
"ht\000\000\000\000\000",
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"},
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"},
  _dl_inhibit_rpath = 0x0, _dl_origin_path = 0x0,
  _dl_use_load_bias = 4294967295, _dl_profile = 0x0,
  _dl_profile_output = 0xb7ffb379 "/var/tmp", _dl_trace_prelink = 0x0,
  _dl_trace_prelink_map = 0x0, _dl_init_all_dirs = 0xb7fffb88,
  _dl_hp_timing_overhead = 84, _dl_sysinfo = 3086915488,
  _dl_sysinfo_dso = 0x0, _dl_get_origin = 0xb7ff7a20 <_dl_get_origin>,
  _dl_dst_count = 0xb7fed060 <_dl_dst_count>,
  _dl_dst_substitute = 0xb7fed340 <_dl_dst_substitute>,
  _dl_map_object = 0xb7fefd90 <_dl_map_object>,
  _dl_map_object_deps = 0xb7ff3c20 <_dl_map_object_deps>,
  _dl_relocate_object = 0xb7ff24e0 <_dl_relocate_object>,
  _dl_check_map_versions = 0xb7ff60c0 <_dl_check_map_versions>,
  _dl_init = 0xb7ff5020 <_dl_init>,
  _dl_debug_state = 0xb7ff5740 <*__GI__dl_debug_state>,
  _dl_unload_cache = 0xb7ff1180 <_dl_unload_cache>,
  _dl_debug_printf = 0xb7ff5c40 <_dl_debug_printf>,
  _dl_catch_error = 0xb7ff4ee0 <_dl_catch_error>,
  _dl_signal_error = 0xb7ff4c60 <_dl_signal_error>,
---Type <return> to continue, or q <return> to quit---
  _dl_start_profile = 0xb7ff6500 <_dl_start_profile>,
  _dl_mcount = 0xb7ff6cf0 <_dl_mcount>,
  _dl_lookup_symbol_x = 0xb7ff1530 <_dl_lookup_symbol_x>,
  _dl_check_caller = 0xb7ff7cd0 <_dl_check_caller>}
        _dl_argv = (char **) 0xbfe32a44
        _rtld_local = {_dl_ns = {{_ns_loaded = 0xb7fff4f8, _ns_nloaded
= 40,
      _ns_global_scope = {0xb7fff650, 0x0}, _ns_main_searchlist =
0xb7fff650,
      _ns_global_scope_alloc = 0}, {_ns_loaded = 0x0, _ns_nloaded = 0,
      _ns_global_scope = {0x0, 0x0}, _ns_main_searchlist = 0x0,
      _ns_global_scope_alloc = 0} <repeats 15 times>}, _dl_load_lock = {
    mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0,
__m_kind = 1,
      __m_lock = {__status = 0, __spinlock = 0}}}, _dl_load_adds = 40,
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 483491797068896,
  _dl_profile_map = 0x0, _dl_num_relocations = 2843,
  _dl_num_cache_relocations = 1437, _dl_all_dirs = 0x9d93ae8,
  _dl_error_catch_tsd = 0xb7e24c20 <__libc_dl_error_tsd>, _dl_rtld_map = {
    l_addr = 3086913536, l_name = 0x8048134 "/lib/ld-linux.so.2",
    l_ld = 0xb7ffeef4, l_next = 0x9d8e640, l_prev = 0xb7d29018,
    l_real = 0xb7fff1c0, l_ns = 0, l_libname = 0xb7fff444, l_info =
{0x0, 0x0,
      0xb7ffef2c, 0xb7ffef24, 0xb7ffeefc, 0xb7ffef04, 0xb7ffef0c, 0x0,
0x0,
      0x0, 0xb7ffef14, 0xb7ffef1c, 0x0, 0x0, 0xb7ffeef4, 0x0, 0x0,
0xb7ffef44,
      0xb7ffef4c, 0xb7ffef54, 0xb7ffef34, 0x0, 0x0, 0xb7ffef3c,
0xb7ffef6c,
      0x0 <repeats 11 times>, 0xb7ffef64, 0xb7ffef5c, 0xb7ffef74,
0xb7ffef84,
---Type <return> to continue, or q <return> to quit---
      0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xb7ffef7c,
      0x0 <repeats 25 times>}, l_phdr = 0xb7fe9034, l_entry = 0,
l_phnum = 6,
    l_ldnum = 0, l_searchlist = {r_list = 0x0, r_nlist = 0},
    l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, l_loader = 0x0,
    l_nbuckets = 17, l_buckets = 0xb7fe90fc, l_chain = 0xb7fe9140,
    l_opencount = 18, l_direct_opencount = 0, l_type = lt_library,
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0,
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0,
    l_need_tls_init = 0, l_used = 1, l_nversions = 6, l_versions =
0xb7d142e0,
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0,
    l_versyms = 0xb7fe9582, l_origin = 0x0, l_map_start = 3086913536,
    l_map_end = 3087004916, l_text_end = 3086987343, l_scope_mem =
{0x0, 0x0,
      0x0, 0x0}, l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0,
0x0},
    l_dev = 0, l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0},
    l_initfini = 0x0, l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0,
    l_feature_1 = 0, l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach =
{plt = 0,
      gotplt = 0}, l_lookup_cache = {sym = 0xb7fe93ec, type_class = 1,
      value = 0xb7e51000, ret = 0xb7d358d8}, l_tls_initimage = 0x0,
    l_tls_initimage_size = 0, l_tls_blocksize = 0, l_tls_align = 0,
    l_tls_firstbyte_offset = 0, l_tls_offset = 0, l_tls_modid = 0,
    l_relro_addr = 89216, l_relro_size = 896},
  _dl_rtld_lock_recursive = 0xb7f50ca0 <__pthread_mutex_lock>,
  _dl_rtld_unlock_recursive = 0xb7f51080 <__pthread_mutex_unlock>,
---Type <return> to continue, or q <return> to quit---
  _dl_stack_flags = 6,
  _dl_make_stack_executable_hook = 0xb7f4e9a0 <__make_stacks_executable>,
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false,
  _dl_tls_dtv_slotinfo_list = 0xb7d14340, _dl_tls_static_nelem = 1,
  _dl_tls_static_size = 2832, _dl_tls_static_used = 40,
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xb7d13b14,
  _dl_tls_generation = 0,
  _dl_init_static_tls = 0xb7f4ee20 <__pthread_init_static_tls>}
        _rtld_global = {_dl_ns = {{_ns_loaded = 0xb7fff4f8,
_ns_nloaded = 40,
      _ns_global_scope = {0xb7fff650, 0x0}, _ns_main_searchlist =
0xb7fff650,
      _ns_global_scope_alloc = 0}, {_ns_loaded = 0x0, _ns_nloaded = 0,
      _ns_global_scope = {0x0, 0x0}, _ns_main_searchlist = 0x0,
      _ns_global_scope_alloc = 0} <repeats 15 times>}, _dl_load_lock = {
    mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0,
__m_kind = 1,
      __m_lock = {__status = 0, __spinlock = 0}}}, _dl_load_adds = 40,
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 483491797068896,
  _dl_profile_map = 0x0, _dl_num_relocations = 2843,
  _dl_num_cache_relocations = 1437, _dl_all_dirs = 0x9d93ae8,
  _dl_error_catch_tsd = 0xb7e24c20 <__libc_dl_error_tsd>, _dl_rtld_map = {
    l_addr = 3086913536, l_name = 0x8048134 "/lib/ld-linux.so.2",
    l_ld = 0xb7ffeef4, l_next = 0x9d8e640, l_prev = 0xb7d29018,
    l_real = 0xb7fff1c0, l_ns = 0, l_libname = 0xb7fff444, l_info =
{0x0, 0x0,
      0xb7ffef2c, 0xb7ffef24, 0xb7ffeefc, 0xb7ffef04, 0xb7ffef0c, 0x0,
0x0,
---Type <return> to continue, or q <return> to quit---
      0x0, 0xb7ffef14, 0xb7ffef1c, 0x0, 0x0, 0xb7ffeef4, 0x0, 0x0,
0xb7ffef44,
      0xb7ffef4c, 0xb7ffef54, 0xb7ffef34, 0x0, 0x0, 0xb7ffef3c,
0xb7ffef6c,
      0x0 <repeats 11 times>, 0xb7ffef64, 0xb7ffef5c, 0xb7ffef74,
0xb7ffef84,
      0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xb7ffef7c,
      0x0 <repeats 25 times>}, l_phdr = 0xb7fe9034, l_entry = 0,
l_phnum = 6,
    l_ldnum = 0, l_searchlist = {r_list = 0x0, r_nlist = 0},
    l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, l_loader = 0x0,
    l_nbuckets = 17, l_buckets = 0xb7fe90fc, l_chain = 0xb7fe9140,
    l_opencount = 18, l_direct_opencount = 0, l_type = lt_library,
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0,
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0,
    l_need_tls_init = 0, l_used = 1, l_nversions = 6, l_versions =
0xb7d142e0,
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0,
    l_versyms = 0xb7fe9582, l_origin = 0x0, l_map_start = 3086913536,
    l_map_end = 3087004916, l_text_end = 3086987343, l_scope_mem =
{0x0, 0x0,
      0x0, 0x0}, l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0,
0x0},
    l_dev = 0, l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0},
    l_initfini = 0x0, l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0,
    l_feature_1 = 0, l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach =
{plt = 0,
      gotplt = 0}, l_lookup_cache = {sym = 0xb7fe93ec, type_class = 1,
      value = 0xb7e51000, ret = 0xb7d358d8}, l_tls_initimage = 0x0,
    l_tls_initimage_size = 0, l_tls_blocksize = 0, l_tls_align = 0,
    l_tls_firstbyte_offset = 0, l_tls_offset = 0, l_tls_modid = 0,
---Type <return> to continue, or q <return> to quit---
    l_relro_addr = 89216, l_relro_size = 896},
  _dl_rtld_lock_recursive = 0xb7f50ca0 <__pthread_mutex_lock>,
  _dl_rtld_unlock_recursive = 0xb7f51080 <__pthread_mutex_unlock>,
  _dl_stack_flags = 6,
  _dl_make_stack_executable_hook = 0xb7f4e9a0 <__make_stacks_executable>,
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false,
  _dl_tls_dtv_slotinfo_list = 0xb7d14340, _dl_tls_static_nelem = 1,
  _dl_tls_static_size = 2832, _dl_tls_static_used = 40,
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xb7d13b14,
  _dl_tls_generation = 0,
  _dl_init_static_tls = 0xb7f4ee20 <__pthread_init_static_tls>}
        _dl_argc = 2
        _dl_argv_internal = (char **) 0xbfe32a44
#1  0xb7de5564 in *__GI___poll (fds=0xb7e4cff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:86
        resultvar = 3085225972
        oldtype = 0
#2  0x0809206c in IMTLSImpl::get_rsa_cb ()
No symbol table info available.
#3  0x0806b44c in std::basic_string<char, std::char_traits<char>,
std::allocator<char> >::basic_string<char*> ()
No symbol table info available.
#4  0x0806988d in std::basic_string<char, std::char_traits<char>,
std::allocator---Type <return> to continue, or q <return> to quit---
<char> >::basic_string<char*> ()
No symbol table info available.
#5  0x0804d9ca in ?? ()
No symbol table info available.
#6  0x0804d755 in ?? ()
No symbol table info available.
#7  0xb7d3ee33 in __libc_start_main (
    main=0x804d6b0 <__gxx_personality_v0+348>, argc=2, ubp_av=0xbfe32a44,
    init=0x80982dc <IMTLSImpl::get_rsa_cb(ssl_st*, int, int)+38964>,
    fini=0xbfe329d0, rtld_fini=0xbfe32a44, stack_end=0xbfe32a3c)
    at ../sysdeps/generic/libc-start.c:209
        ubp_ev = (char **) 0x1
        result = 1
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1209741324, 0,
        -1075631664, -1075631592, -1075631680, -1210847755},
      mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0xb7ffefb4, 0x2},
data = {
      prev = 0x0, cleanup = 0x0, canceltype = -1207963724}}}
        not_first_call = -4
#8  0x0804d621 in ?? ()
No symbol table info available.
(gdb)
Comment 2 Lawrence Lim 2004-11-03 00:53:39 EST
Still happening in im-sdk-12.1-5.
Comment 3 Leon Ho 2004-11-08 02:54:45 EST
From the BTs, it is same as #137007 and I cannot reproduce it on other LE.

*** This bug has been marked as a duplicate of 137007 ***

Note You need to log in before you can comment on or make changes to this bug.